EasyTimeline not displaying text
Closed, InvalidPublic

Description

As you can see at this test page, timelines are missing text. Maybe we need to update our copy of the extension?

Related Objects

StatusAssignedTask
Resolvedjack
InvalidNone
cook879 created this task.Aug 3 2016, 10:58 PM
lewiscawte added a subscriber: lewiscawte.EditedAug 5 2016, 7:01 AM

I'm pretty sure this was either an upstream bug or we fixed this at one point and it probably broke somewhere between a version or moving to HHVM+Nginx. Possibly even the distro upgrade...

I have seen the exactly same issue earlier (outside ShoutWiki), although way before 1.27.0 (iirc we were also running HHVM back then).

The solution was to install ttf-freefont (should be available in Debian and Ubuntu), and putting this in LocalSettings.php:

putenv( "GDFONTPATH=/usr/share/fonts/truetype/freefont" );
$wgTimelineSettings->ploticusCommand = "/usr/bin/ploticus";
$wgTimelineSettings->perlCommand = "/usr/bin/perl";
$wgTimelineSettings->fontFile = 'FreeSans';

Please try this and let me know if that fixed it.

We have that package installed. I'm currently at Uni so I'm not going poking around on the server to look if any of that config exists or if the pathing is correct.

lewiscawte triaged this task as High priority.Nov 11 2016, 12:54 PM

Note: #easytimeline is deprecated so it is unlikely anyone will fix the underlying bug. My recommendation is to change the color name, verify it works and close this task :]

SamanthaNguyen closed this task as Invalid.Sep 10 2017, 8:53 PM

Closing. This isn't our issue (we don't develop for EasyTimeline); anyone interested in having that issue fixed should look at upstream (instead of here) where the actual development and issue tracking is located.